* PACKAGE ARSTF    !" リスタートファイルの入出力(簡単版)
*
*  [HIS] 95/08/14 (takepiro) 
***********************************************************************
      SUBROUTINE  WRRSTR         !" リスタートファイル書き込み
     I                ( PSI   , ZETA  , T  , 
     I                  IT                   )
*
* [PARAM]
#include        "zcdim.F"            !" 格子点数, 波数
*
* [INPUT]
      REAL PSI  ( 0:NX+1 , 0:NZ+1 ) !" 流線関数(現在の値)
      REAL ZETA ( 0:NX+1 , 0:NZ+1 ) !" 渦度(現在の値)
      REAL T    ( 0:NX+1 , 0:NZ+1 ) !" 温度(現在の値)
*
      INTEGER IT                !" ループカウンタ
*
* [WORK]
      INTEGER IX, IZ
      INTEGER IUNIT             !" メッセージ出力装置番号
*
      CALL GLPGET( 'MSGUNIT', IUNIT )
*
      WRITE ( IUNIT, * )'IT = ', IT
*
      WRITE ( IUNIT, * )'Stream Function'
      DO 9100 IZ= NZ+1, 0, -1
         WRITE ( IUNIT, '(8F9.3)' ) ( PSI( IX,IZ ), IX=1,NX )
 9100 CONTINUE 
*
      WRITE ( IUNIT, * )'Vorticity'
      DO 9200 IZ= NZ+1, 0, -1
         WRITE ( IUNIT, '(8F9.3)' ) ( ZETA( IX,IZ ), IX=1,NX )
 9200 CONTINUE 
*
      WRITE ( IUNIT, * )'Temperature'
      DO 9300 IZ= NZ+1, 0, -1
         WRITE ( IUNIT, '(8F9.3)' ) ( T( IX,IZ ), IX=1,NX )
 9300 CONTINUE 
*
      RETURN
      END

